### Function Macro

# GLib rc_box_new0

since: 2.58

#### Declaration

    #define g_rc_box_new0 (
      type
    )

#### Description

A convenience macro to allocate reference counted data with the size of the given `type`, and set its contents to zero.

This macro calls `g_rc_box_alloc0()` with `sizeof (`type`)` and casts the returned pointer to a pointer of the given `type`, avoiding a type cast in the source code.

Available since: 2.58

This function is not directly available to language bindings.

#### Parameters

`type`

  Type: `-`

  The type to allocate, typically a structure name.